## NAME

s.to.rast - Converts a site file to a raster map
(GRASS Sites Program)

## SYNOPSIS

s.to.rast
s.to.rast help
s.to.rast [-qs] input=name output=name size=value title="phrase" field=value findex=value string=value

## DESCRIPTION

s.to.rast converts a GRASS site file to a GRASS raster file.

The quad size (ie the number of cells used to represent one site) is fixed to 0 (ie one cell/site). If the output file already exists, the program exits gracefully.

## OPTIONS

### Flag:

-q
  Run the module quietly.
-s
  Create a single-valued (0/1, binary) raster map

### Parameters:

input=name
  Name of input site list
output=name
  Name of output cell file
size=value
  Number of cells to surround site cell
title="phrase"
  Title for the resulting raster map
field=value
  Attribute field type to use for operation
  options: dim,decimal,cat
  default: decimal
findex=value
  Attribute field number to use for operation
  default: 1
string=value
  String attribute number to use for description
  default: 1

## NOTES

When converting from a sites layer to a raster layer with size=0, the site is converted into a single cell representing the location of the site, which can be hard to see (depending on the raster resolution).
size=2 (or higher) makes the sites show up as fatter in the raster layer.

Alternaticely the user can convert the sites to vector format and use v.bubble or v.circle to represent the location.

As site files can consist of several attribute fields (decimals or string categories), the user can select the column of interest for conversion using the filed selection parameters (findex, string). The attribute field type to use for operation is selected by parameter field.

The user will be warned if two or more sites fall into one raster cell. However, the module will continue to import (the last site value will determine the cell value). If such overwriting is not wanted, the cell resolution has to be changed using g.region.

The user will be warned if sites fall out of the current region.

## SEE ALSO

g.region, s.menu, s.to.vect, v.bubble, v.circle,

## AUTHORS

Katarina Johnsson, CCRS
GRASS 5 improvements: Eric G. Miller

Last changed: $Date: 2002/01/25 05:45:35 $